The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Linux kernel: read-write access via iSCSI show_transport_handle

Synthesis of the vulnerability 

An attacker can bypass access restrictions via iSCSI show_transport_handle() of the Linux kernel, in order to read or alter data.
Impacted software: Debian, Linux, openSUSE Leap, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this computer vulnerability: 2/4.
Creation date: 08/03/2021.
Références of this announce: CERTFR-2021-AVI-191, CERTFR-2021-AVI-211, CERTFR-2021-AVI-217, CERTFR-2021-AVI-220, CERTFR-2021-AVI-241, CERTFR-2021-AVI-242, CERTFR-2021-AVI-264, CERTFR-2021-AVI-266, CERTFR-2021-AVI-278, CERTFR-2021-AVI-284, CERTFR-2021-AVI-303, CERTFR-2021-AVI-312, CERTFR-2021-AVI-324, CERTFR-2021-AVI-371, CERTFR-2021-AVI-387, CERTFR-2021-AVI-392, CVE-2021-27363, DLA-2586-1, DLA-2610-1, openSUSE-SU-2021:0532-1, openSUSE-SU-2021:0758-1, RHSA-2021:1070-01, RHSA-2021:1071-01, RHSA-2021:1081-01, RHSA-2021:1093-01, RHSA-2021:1171-01, RHSA-2021:1267-01, RHSA-2021:1272-01, RHSA-2021:1279-01, RHSA-2021:1289-01, RHSA-2021:1373-01, RHSA-2021:1376-01, RHSA-2021:1531-01, SSA:2021-072-01, SUSE-SU-2021:1175-1, SUSE-SU-2021:1176-1, SUSE-SU-2021:1177-1, SUSE-SU-2021:1210-1, SUSE-SU-2021:1211-1, SUSE-SU-2021:1238-1, SUSE-SU-2021:14724-1, SUSE-SU-2021:1573-1, SUSE-SU-2021:1596-1, SUSE-SU-2021:1617-1, SUSE-SU-2021:1623-1, SUSE-SU-2021:1624-1, SUSE-SU-2021:1975-1, SUSE-SU-2021:1977-1, USN-4883-1, USN-4887-1, USN-4889-1, USN-4901-1, VIGILANCE-VUL-34762.

Description of the vulnerability 

An attacker can bypass access restrictions via iSCSI show_transport_handle() of the Linux kernel, in order to read or alter data.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This computer weakness bulletin impacts software or systems such as Debian, Linux, openSUSE Leap, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this computer threat announce is medium.

The trust level is of type confirmed by the editor, with an origin of user shell.

An attacker with a expert ability can exploit this threat announce.

Solutions for this threat 

Linux kernel: patch for iSCSI Restrict Access.
A patch is indicated in information sources.

Debian 9: new linux-4.19 packages.
New packages are available:
  Debian 9: linux-4.19 4.19.181-1~deb9u1

Debian 9: new linux packages.
New packages are available:
  Debian 9: linux 4.9.258-1

openSUSE Leap 15.2: new kernel packages.
New packages are available:
  openSUSE Leap 15.2: kernel 5.3.18-lp152.69.1

openSUSE Leap 15.2: new kernel-rt packages.
New packages are available:
  openSUSE Leap 15.2: kernel-rt 5.3.18-lp152.3.8.1

RHEL 7.2: new kernel packages.
New packages are available:
  RHEL 7.0-7.9: kernel 3.10.0-327.96.1.el7

RHEL 7.3: new kernel packages.
New packages are available:
  RHEL 7.0-7.9: kernel 3.10.0-514.88.1.el7

RHEL 7.4: new kernel packages.
New packages are available:
  RHEL 7.4: kernel 3.10.0-693.84.1.el7

RHEL 7.6: new kernel packages.
New packages are available:
  RHEL 7.0-7.9: kernel 3.10.0-957.72.1.el7

RHEL 7.7: new kernel packages.
New packages are available:
  RHEL 7.0-7.9: kernel 3.10.0-1062.49.1.el7

RHEL 7: new kernel packages.
New packages are available:
  RHEL 7.0-7.9: kernel 3.10.0-1160.24.1.el7

RHEL 7: new kernel-rt packages.
New packages are available:
  RHEL 7.0-7.9: kernel-rt 3.10.0-1160.24.1.rt56.1161.el7

RHEL 8.1: new kernel packages.
New packages are available:
  RHEL 8.1: kernel 4.18.0-147.44.1.el8_1

RHEL 8.2: new kernel packages.
New packages are available:
  RHEL 8.2: kernel 4.18.0-193.51.1.el8_2

RHEL 8.2: new kernel-rt packages.
New packages are available:
  RHEL 8.2: kernel-rt 4.18.0-193.51.1.rt13.101.el8_2

RHEL 8.3: new kernel packages.
New packages are available:
  RHEL 8.3: kernel 4.18.0-240.22.1.el8_3

RHEL 8.3: new kernel-rt packages.
New packages are available:
  RHEL 8.3: kernel-rt 4.18.0-240.22.1.rt7.77.el8_3

Slackware: new kernel packages.
New packages are available:
  Slackware 14.2: kernel 4.4.261-i586-1

SUSE LE 11 SP4: new kernel packages.
New packages are available:
  SUSE LE 11 SP4: kernel 3.0.101-108.126.1

SUSE LE 12 SP2: new kernel packages.
New packages are available:
  SUSE LE 12 SP2: kernel 4.4.121-92.155.1

SUSE LE 12 SP3: new kernel packages.
New packages are available:
  SUSE LE 12 SP3: kernel 4.4.180-94.144.1

SUSE LE 12 SP4: new kernel packages.
New packages are available:
  SUSE LE 12 SP4: kernel 4.12.14-95.74.1

SUSE LE 12 SP5: new kernel-azure packages.
New packages are available:
  SUSE LE 12 SP5: kernel-azure 4.12.14-16.50.1

SUSE LE 12 SP5: new kernel packages (16/04/2021).
New packages are available:
  SUSE LE 12 SP5: kernel 4.12.14-122.66.2

SUSE LE 12 SP5: new kernel-rt packages.
New packages are available:
  SUSE LE 12 SP5: kernel-rt 4.12.14-10.37.1

SUSE LE 15 RTM: new kernel packages.
New packages are available:
  SUSE LE 15 RTM: kernel 4.12.14-150.72.1

SUSE LE 15 SP1: new kernel packages (18/05/2021).
New packages are available:
  SUSE LE 15 SP1: kernel 4.12.14-197.89.2

SUSE LE 15 SP2: new kernel-azure packages.
New packages are available:
  SUSE LE 15 SP2: kernel-azure 5.3.18-18.41.1

SUSE LE 15 SP2: new kernel packages.
New packages are available:
  SUSE LE 15 SP2: kernel 5.3.18-24.61.1

SUSE LE 15 SP2: new kernel-rt packages.
New packages are available:
  SUSE LE 15 SP2: kernel-rt 5.3.18-33.1

SUSE LE 15 SP3: new kernel-azure packages.
New packages are available:
  SUSE LE 15 SP3: kernel-azure 5.3.18-38.3.1

SUSE LE 15 SP3: new kernel packages.
New packages are available:
  SUSE LE 15 SP3: kernel 5.3.18-59.5.2

Ubuntu 12.04: new linux-image-3.13.0-185-generic packages.
New packages are available:
  Ubuntu 12.04 LTS: linux-image-3.13.0-185-generic 3.13.0-185.236~12.04.1

Ubuntu 14.04: new linux-image-3.13.0 packages.
New packages are available:
  Ubuntu 14.04 ESM: linux-image-generic 3.13.0.185.194

Ubuntu: new linux-image-4.4.0/4.15.0 packages.
New packages are available:
  Ubuntu 14.04 ESM: linux-image-azure 4.15.0.1110.83
  Ubuntu 16.04 LTS: linux-image-generic 4.4.0.206.212
  Ubuntu 18.04 LTS: linux-image-generic 4.15.0.139.126

Ubuntu: new linux-image packages.
New packages are available:
  Ubuntu 18.04 LTS: linux-image-generic-hwe-18.04 5.4.0.70.78~18.04.63
  Ubuntu 20.04 LTS: linux-image-generic 5.4.0.70.73
  Ubuntu 20.10: linux-image-generic 5.8.0.48.53
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a software vulnerability bulletin. The Vigil@nce security watch publishes vulnerability bulletins about threats impacting the information system.